Skip to main content
`Ctrl`+`K`

# PCViewFromOptions

View (print or provide information about) the `PC`, based on options in the options database

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCViewFromOptions(PC A, PetscObject obj, const char name[])

Collective

## Input Parameters

- A - the `PC` context

- obj - Optional object that provides the options prefix

- name - command line option name

## Options Database Key

- -name [viewertype][:…] - option name and values. See `PetscObjectViewFromOptions()` for the possible arguments

## See Also

KSP: Linear System Solvers, `PC`, `PCView`, `PetscObjectViewFromOptions()`, `PCCreate()`

## Level

developer

## Location

src/ksp/pc/interface/precon.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages